What is the difference between NX witness and NX MEta VMS?

Answered

Comments

4 comments

  • Avatar
    Andrey Terentyev

    Hello Mohamed,

    You are using the Meta VMS  the version=4.1.0.30731 and develop a plugin with the SDK for version 4.1.

    Meanwhile, there is no public release of Nx Witness 4.1 at the moment. Most probably, you have installed the latest build of 4.0.

    Versions 4.0 and 4.1 as well as 4.0 SDK and 4.1 SDK are not the same, they have differences and compiled plugins might not be compatible across major versions.

    Could you share an archive with your DeviceAgent code please?

    0
    Comment actions Permalink
  • Avatar
    Mohamed Thasin

    Hello Andrey,

    You are right, I have installed NX Witness version=4.0.0.29987. If I use build a plugin using NX Meta VMS version x.x.x.x and tried to enable the plugin in the same NX Witness version x.x.x.x it should work right? 

    Basically my question is If I develop a plugin from Meta VMS and enable the plugin on NX Witness and both Meta VMS and NX Witness version is same it should work right? or should I make any specific change to work on NX Witness? 

    0
    Comment actions Permalink
  • Avatar
    Andrey Terentyev

    MetaVMS is a version of Nx Witness for development and testing new features.

    Plugins are compatible in the boundaries of one version. I.e. a plugin for MetaVMS 4.0 will run in Nx Wintess 4.0.

    Plugins are compatible with a VMS of greater version. I.e. a plugin for MetaVMS 4.0 will run in MetaVMS 4.1 and in Nx Wintess 4.1.

    0
    Comment actions Permalink
  • Avatar
    Mohamed Thasin

    Okay, thanks for the clear explanation.

    0
    Comment actions Permalink

Please sign in to leave a comment.